/**
 * @typedef {string | [string, string]} Delimiter
 * @typedef {string | [tag: string, attrs?: Record<string, string>]} CustomElementOption
 * @callback Renderer
 * @param {string} src - The source content
 * @param {Token} token - The parsed markdown-it token
 * @param {MarkdownIt} md - The markdown-it instance
 */
/**
 * @param {string | Delimiter[]} delimiters
 * @returns {Array<[string, string]> | null}
 */
export function fromDelimiterOption(delimiters: string | Delimiter[]): Array<[string, string]> | null;
export type Delimiter = string | [string, string];
export type CustomElementOption = string | [tag: string, attrs?: Record<string, string>];
export type Renderer = (src: string, token: Token, md: MarkdownIt) => any;
//# sourceMappingURL=options.d.ts.map