export default function plugin(md: import("markdown-it"), options?: PluginOptions): void;
export type MathupOptions = any;
export type MarkdownIt = import("markdown-it").default;
export type Token = import("markdown-it/lib/token.mjs").default;
export type CustomElementOption = import("./options.js").CustomElementOption;
export type Delimiter = import("./options.js").Delimiter;
export type Renderer = import("./options.js").Renderer;
export type PluginOptions = {
    /**
     * - Inline math delimiters.
     */
    inlineDelimiters?: string | Delimiter[];
    /**
     * - Deprecated: Use inlineDelimiters
     */
    inlineOpen?: string;
    /**
     * - Deprecated: Use inlineDelimiters
     */
    inlineClose?: string;
    /**
     * - If you want to render to a custom element.
     */
    inlineCustomElement?: CustomElementOption;
    /**
     * - Custom renderer for inline math. Default mathup.
     */
    inlineRenderer?: Renderer;
    /**
     * - If you want allow inline math to start or end with whitespace.
     */
    inlineAllowWhiteSpacePadding?: boolean;
    /**
     * - Block math delimters.
     */
    blockDelimiters?: string | Delimiter[];
    /**
     * - Deprecated: Use blockDelimiters
     */
    blockOpen?: string;
    /**
     * - Deprecated: Use blockDelimiters
     */
    blockClose?: string;
    /**
     * - If you want to render to a custom element.
     */
    blockCustomElement?: CustomElementOption;
    /**
     * - Custom renderer for block math. Default mathup with display = "block".
     */
    blockRenderer?: Renderer;
};
//# sourceMappingURL=plugin.d.ts.map