/**
 * @typedef {import("mathup").Options} MathupOptions
 * @typedef {import("markdown-it").default} MarkdownIt
 * @typedef {import("./options.js").CustomElementOption} CustomElementOption
 */
/**
 * @param {CustomElementOption} customElementOption
 * @param {MarkdownIt} md
 * @returns {(src: string) => string}
 */
export function createCustomElementRenderer(customElementOption: CustomElementOption, md: MarkdownIt): (src: string) => string;
/**
 * @param {CustomElementOption | undefined} customElement
 * @param {MarkdownIt} md
 * @returns {(src: string) => string}
 */
export function createInlineRenderer(customElement: CustomElementOption | undefined, md: MarkdownIt): (src: string) => string;
/**
 * @param {CustomElementOption | undefined} customElement
 * @param {MarkdownIt} md
 * @returns {(src: string) => string}
 */
export function createBlockRenderer(customElement: CustomElementOption | undefined, md: MarkdownIt): (src: string) => string;
export type MathupOptions = any;
export type MarkdownIt = import("markdown-it").default;
export type CustomElementOption = import("./options.js").CustomElementOption;
//# sourceMappingURL=renderers.d.ts.map